Subject: bug#8460: 24.0.50; Doc string of `lexical-binding'

From: "Drew Adams" <[email-masked]>
Date: Sat, 9 Apr 2011 11:06:28 -0700

It says that it "only applies to code evaluated by `eval-buffer' and
`eval-region'."  That is at best misleading.  `C-M-x' eventually calls
`eval-region', but a user would not guess that the doc string applies
also to `C-M-x'.  It would perhaps be better to characterize the
situations where it does _not_ apply to code evaluation.
 
It is also misleading in that it is sufficient to visit a file, such as
`minibuffer.el', that has "-*- lexical-binding: t -*-" in its first
line, for the value to be non-nil and thus affect pretty much anything
you do in that buffer.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2011-04-04 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.5) --no-opt --cflags
-Ic:/imagesupport/include'